Subject: bug#58839: [Patch] Re: bug#58839: 29.0.50; project-kill-buffer fails when Eglot is running

From: Dmitry Gutov <[email-masked]>
Date: Sat, 29 Oct 2022 13:59:24 +0300

On 29.10.2022 09:38, Philip Kaludercic wrote:
>>                                             But if it were to work for
>> several projects at the same time, I suppose I could say it doesn't
>> belong to any particular one.
> In that case I think a kind of "project reference counter" should ensure
> that the server is only then killed when the last project using it is
> killed (and the right user options are set).

I suppose. But that kind of arrangement would require a project-specific 
hook.